Subject: bug#23957: [PATCH] Make fboundp an alias for symbol-function

From: Drew Adams <[email-masked]>
Date: Tue, 12 Jul 2016 20:10:00 +0000 (UTC)

> >> I'd suggest to simply remove the FIXME instead.
> >
> > I'd be somewhat curious about who wrote it and why.  Maybe
> > there is something else that could be done to satisfy whatever
> > the perceived need was.
> 
> I just did a blame for that line, and it lead back to commit eadf1faa
> ("Conflate Qnil and Qunbound for `symbol-function'.") by Stefan Monnier
> <[email-masked]> (CC'd).

Yes, well, perhaps Stefan will chime in with the reason(s) for it.

But to my mind the simple action "Conflate Qnil and Qunbound for
`symbol-function'" sounds like it is about doing something to
`symbol-function' rather than doing something to `fboundp'.

It is the behavior (hence meaning) of `fboundp' that changes
if you set it as an alias for `symbol-function'.  The latter's
behavior does not change.